%define oname ppx_derivers

Name:           ocaml-%{oname}
Epoch:          1
Version:        1.2.1
Release:        %mkrel 6
Summary:        ppx_type_conv/ppx_deriving interoperability library
Group:          Development/OCaml
License:        BSD
URL:            https://github.com/ocaml-ppx/ppx_derivers
Source0:        https://github.com/ocaml-ppx/ppx_derivers/archive/%{version}/%{name}-%{version}.tar.gz
# (tv) compatibility with FC:
Provides:       ocaml-ppx-derivers = %{version}-%{release}
Provides:       ocaml-ppx-derivers%_isa = %{version}-%{release}

BuildRequires:  ocaml
BuildRequires:  ocaml-dune

%description
Ppx_derivers is a tiny package whose sole purpose is to allow
ppx_deriving and ppx_type_conv to inter-operate gracefully when
linked as part of the same ocaml-migrate-parsetree driver.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ocaml-ppx-derivers-devel = %{version}-%{release}
Provides:       ocaml-ppx-derivers-devel%_isa = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
%dune_build

%install
%dune_install
 
%check
%dune_check

%files -f .ofiles
%doc README.md CHANGES.md
%license LICENSE.md

%files devel -f .ofiles-devel
%doc README.md CHANGES.md
%license LICENSE.md


%changelog
* Fri Apr 04 2025 pterjan <pterjan> 1:1.2.1-6.mga10
+ Revision: 2173405
- Use dune macros

* Thu May 19 2022 pterjan <pterjan> 1:1.2.1-5.mga9
+ Revision: 1859014
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 1:1.2.1-4.mga9
+ Revision: 1833121
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:1.2.1-3.mga9
+ Revision: 1750968
- Rebuild for ocaml 4.13.1

* Wed Oct 13 2021 tv <tv> 1:1.2.1-2.mga9
+ Revision: 1750962
- Rebuild for ocaml 4.13.1

* Sat Mar 06 2021 tv <tv> 1:1.2.1-1.mga9
+ Revision: 1699951
- 1.2.1

* Fri Mar 05 2021 tv <tv> 1:1.0-13.mga9
+ Revision: 1699697
- add more provides

* Thu Mar 04 2021 tv <tv> 1:1.0-12.mga9
+ Revision: 1698451
- Provides ocaml-ppx-derivers

* Thu Mar 04 2021 tv <tv> 1:1.0-11.mga9
+ Revision: 1697934
- rebuild for ocaml-4.2-12

* Thu Mar 04 2021 tv <tv> 1:1.0-10.mga9
+ Revision: 1697780
- rebuild for ocaml-4.2-12

* Sun Jan 10 2021 pterjan <pterjan> 1:1.0-9.mga8
+ Revision: 1670286
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:1.0-8.mga8
+ Revision: 1551493
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1:1.0-7.mga8
+ Revision: 1544470
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 1:1.0-6.mga8
+ Revision: 1483042
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 1:1.0-5.mga7
+ Revision: 1324016
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 1:1.0-4.mga7
+ Revision: 1323684
- Rebuild for ocam 4.07

* Sun Sep 23 2018 umeabot <umeabot> 1:1.0-3.mga7
+ Revision: 1299915
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 1:1.0-2.mga7
+ Revision: 1241923
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:1.0-1.mga7
+ Revision: 1192998
- imported package ocaml-ppx_derivers

